Package docking.widgets.table

# Class RowObject

java.lang.Object
docking.widgets.table.RowObject

@Deprecated(forRemoval=true, since="10.1") public class RowObject extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
this class is no longer used and will be removed
An object that represents a row in a table. Most tables used in the system create models that use their own row objects (see `AbstractSortedTableModel`). This class exists to compensate for those models that do not do this, but instead rely on the classic Java `TableModel` method `TableModel.getValueAt(int, int)`.

For the best behavior, a table model implementation should extend `AbstractSortedTableModel`, as the system is written to work for those models. Use of this class as a workaround is a suitable default, but will not always result in the desired behavior. A major reason for this is that if any of the table's cell values change, the row objects that created for non-`AbstractSortedTableModel`s will not be equal to those created before the data change. This causes some features to break, such as selection restoration after user edits.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowObject()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RowObject`
  `createRowObject(TableModel model, int row)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Factory method to create and initialize a row object.
  `boolean`
  `equals(Object obj)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `int`
  `hashCode()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `String`
  `toString()`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RowObject

    public RowObject()
    Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### createRowObject

    public static RowObject createRowObject(TableModel model, int row)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Factory method to create and initialize a row object.
    Parameters:
      `model` - the model required to gather data for the row object.
      `row` - the row for which to create a row object
    Returns:
      the row object

  - ### equals

    public boolean equals(Object obj)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `toString` in class `Object`